%define ggi_version 2.0b2.1
%define gii_version 0.6

%define version %{ggi_version}
Summary: General Graphics Interface
Name: ggi
Version: %{version}
Release: 1
Copyright: distributable
Group: Libraries
Packager: Jens Leuschner <leuschner@gmx.net>
Url: http://www.ggi-project.org/
Source0: ftp://ftp.ggi-project.org/pub/ggi/ggi/current/libgii-%{gii_version}.tar.gz
Source1: ftp://ftp.ggi-project.org/pub/ggi/ggi/current/libggi-%{ggi_version}.tar.gz
BuildRoot: /var/tmp/rpm/%{name}-root

%package devel
Summary: Header files for LibGGI
Requires: %{name} = %{version}
Group: Libraries

%description
LibGGI, the dynamic GGI (General Graphics Interface) library is a flexible
drawing library.

It provides an opaque interface to the display's acceleration functions. It
was originally intended to allow user programs to interface with KGI, the
GGI Kernel Graphics Interface, but other display types can be easily used by
loading the appropriate "display target" (e.g. X, memory).

This package also contains LibGII %{gii_version}.

%description devel
The header files for LibGGI and LibGII.

%prep
%setup -q -c -a 1

%build
cd libgii-%{gii_version}
./configure --prefix=/usr --with-gnu-ld --disable-debug --disable-spaceorb --enable-mutexes=dynpthread
make
cd ../libggi-%{ggi_version}
./configure --prefix=/usr --with-gnu-ld --with-uninst-gii=../libgii-%{gii_version} --disable-debug --disable-aa --disable-monotext --disable-svga --disable-vgagl --disable-vcsa
make
cd ..
# Prepare some docs
mkdir doc
mkdir doc/libgii-%{gii_version}
mkdir doc/libggi-%{ggi_version}
cp libgii-%{gii_version}/{ChangeLog,NEWS,README} doc/libgii-%{gii_version}
cp libgii-%{gii_version}/doc/{env.txt,inputs.txt,libgii-api.sgml} doc/libgii-%{gii_version}
cp libggi-%{ggi_version}/{ChangeLog,NEWS,README,TODO} doc/libggi-%{ggi_version}
cp libggi-%{ggi_version}/doc/{env.txt,targets.txt,docbook/libggi-api.sgml} doc/libggi-%{ggi_version}

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT
cd libgii-%{gii_version}
make DESTDIR=$RPM_BUILD_ROOT install
cd ../libggi-%{ggi_version}
make DESTDIR=$RPM_BUILD_ROOT install
cd ..
gzip -f9 $RPM_BUILD_ROOT/usr/share/man/man?/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%post devel
/sbin/ldconfig

%postun devel
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc doc/*
%config /etc/ggi/*.conf
%config /etc/ggi/targets/*.conf
/usr/bin/*
/usr/lib/*.so.*
/usr/lib/ggi
/usr/share/man/man?/*

%files devel
%defattr(-,root,root)
/usr/include/ggi
/usr/lib/*.la
/usr/lib/*.so
